%define libxfont %mklibname xfont 1
Name: libxfont
Summary:  X font Library
Version: 1.3.0
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
Patch1: libxfont-1.1.0-freetype_module_pic.patch
Patch2: 0001-support-relative-paths-in-catalogue-dir-symlinks.patch
Patch3: 0002-fix-dirfd-leak-on-CatalogueRescan.patch
Patch4: 0003-rescan-catalogue-dir-fontpaths-on-directory-change.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfont}
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfont} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfont-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfont}-devel
Development files for %{name}

%pre -n %{libxfont}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxfont}-devel
%defattr(-,root,root)
%{_libdir}/libXfont.so
%{_libdir}/libXfont.la
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%package -n %{libxfont}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfont}-devel = %{version}
Provides: libxfont-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfont}-static-devel
Static development files for %{name}

%files -n %{libxfont}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfont.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%ifnarch %{ix86}
%patch1 -p1 -b .pic
%endif
%patch2 -p1 -b .relative-symlinks
%patch3 -p1 -b .dirfd-leak
%patch4 -p1 -b .check-dirs-mtime

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxfont}
%defattr(-,root,root)
%{_libdir}/libXfont.so.1
%{_libdir}/libXfont.so.1.*



%changelog
* Sat Jul 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-3mdv2008.0
+ Revision: 51902
- Add rescan-catalogue-dir-fontpaths-on-directory-change.patch, now the
  fontpath is updated if font directories are changed (and not only if
  fontpath.d is changed, as before)
- remove unnecessary configure flags

* Tue Jul 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-2mdv2008.0
+ Revision: 51040
- add patch to fix dirfd leak when rescanning /etc/X11/fontpath.d
- add patch to correctly support relative symlinks inside fontpath.d

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-1mdv2008.0
+ Revision: 47248
- new upstream version: 1.3.0

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.9-1mdv2008.0
+ Revision: 43198
- new upstream version: 1.2.9
- fontpath_d patch removed (already upstream)

* Wed Jun 20 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-3mdv2008.0
+ Revision: 41899
- update symlink-fontspatch.patch, now the dir mtime
  is cached and symlinks changes are effective immediately.

* Tue Jun 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-2mdv2008.0
+ Revision: 41650
- add libxfont-1.2.8-symlink-fontpaths.patch (patch from RH, sent
  to the xorg list today), which allows fpe to be set to a catalog
  dir where symlinks point to the real font-paths. A
  soon-to-be-released xfs package will make use of this feature,
  thus applications won't have to keep rewriting the xfs config
  file every time a new font-path is added.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - we don't care about library's minor

* Mon Apr 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.8-1mdv2008.0
+ Revision: 19609
- new release


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.7-1mdv2007.0
+ Revision: 116402
- new upstream version: 1.2.7

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 84142
- new release
- kill patches 0, 2 & 3 (merged upstream)

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-4mdv2007.0
+ Revision: 58697
- Fix a buffer overflow when reading bad pcf files (#24627)
- adding a patch for using -fPIC for non-x86
- rebuild to fix cooker uploading
- new upstream release: 1.1.0 (X11R7.1)
- added a patch fixing compilation with freetype 2.2
  (it seems there are still problems to be fixed, but in most cases it works)
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

